Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.messaging
Class GCRefreshMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.gc.messaging.GCRefreshMessage

All Implemented Interfaces:
  Continuation, Message, java.io.Serializable

public class GCRefreshMessage
extends ContinuationMessage

Version:
  $Id: GCRefreshMessage.java 2302 2005-03-11 00:58:26Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected GCIdSet` | `keys` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GCRefreshMessage(int uid, GCIdSet keys, NodeHandle source, Id dest)` Constructor which takes a unique integer Id, as well as the keys to be refreshed

Method Summary
`GCIdSet` | `getKeys()` Method which returns the list of keys
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`getResponse, receiveException, receiveResult, returnResponse`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keys

    protected GCIdSet keys

  DESCRIBE THE FIELD

Constructor Detail

### GCRefreshMessage

    public GCRefreshMessage(int uid,
                            GCIdSet keys,
                            NodeHandle source,
                            Id dest)

  Constructor which takes a unique integer Id, as well as the keys to be refreshed

Parameters:
  `uid` - The unique id
  `keys` - The keys to be refreshed
  `source` - The source address
  `dest` - The destination address

Method Detail

### getKeys

    public GCIdSet getKeys()

  Method which returns the list of keys

  Returns:
    The list of keys to be refreshed

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Returns:
    A string representing this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.